name: Build and Push Docker Image

on:
  push:
    branches:
      - main
      - master # Je nachdem, wie dein Hauptbranch heißt

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Code auschecken
        uses: actions/checkout@v3

      - name: Login in die Gitea Registry
        uses: docker/login-action@v2
        with:
          registry: gitea.simonaltschaeffl.de
          username: ${{ gitea.actor }}
          password: ${{ secrets.GITHUB_TOKEN }} # Gitea generiert dieses Token automatisch!

      - name: Docker Image bauen und pushen
        uses: docker/build-push-action@v4
        with:
          context: .
          push: true
          # Hier sagen wir, dass es in DEINE private Registry soll:
          tags: gitea.simonaltschaeffl.de/simon_admin/homepage:latest